         DO 10  I = 1, 5
            WRITE (6, 15) I
            IF (I .EQ. 4) GO TO 27
   10    CONTINUE
   15    FORMAT (1X, I5)
   27      WRITE (6, 13)
   13    FORMAT (1X, ' Now the program has finished ')
         STOP
         END
